Summary:	Openbox preferences manager
Name:		obconf
Version:	2.0.4
Release:	%mkrel 13
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://openbox.org/obconf
Source0:	https://openbox.org/dist/obconf/%name-%version.tar.gz
# Upstream patches since release
Patch100:	0001-Remove-debug-printf-from-preview.c.patch
Patch101:	0002-Include-gdk.h-from-preview.h-instead-of-gdkpixbuf.h.patch
Patch102:	0003-Portuguese-update-for-obconf.patch
Patch103:	0004-Stop-using-libglade.patch
Patch104:	0005-Switch-to-GTK-3.patch
Patch105:	0006-Fix-indenting.patch
Patch106:	0007-Change-the-GLADEDIR-define-to-RESOURCEDIR.patch
Patch107:	0008-Fix-tab-error.patch
Patch108:	0009-Add-translation-Complete.patch

# MGA patches
Patch200:	obconf-2.0.3-link.patch
Patch201:	0001-obconf-fix-implicit-function-declaration-errors.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(obrender-3.5)
BuildRequires:	pkgconfig(obt-3.5)
BuildRequires:	desktop-file-utils
BuildRequires:	git-core
Requires:	openbox

# Virtual provide for openbox (see mga#32460)
Provides:	obox-conf

%description
ObConf is a graphical configuration tool for the Openbox window manager.

%prep
%autosetup -S git

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# fix .desktop file
desktop-file-install --remove-key="Encoding" \
		--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-openbox-theme.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Mar 16 2025 wally <wally> 2.0.4-13.mga10
+ Revision: 2164969
- rebuild for libxml2 2.13.6

* Tue Sep 17 2024 papoteur <papoteur> 2.0.4-12.mga10
+ Revision: 2097881
- fix build with GCC14
+ danf <danf>
- Update links to https:

* Sat Oct 28 2023 daviddavid <daviddavid> 2.0.4-11.mga10
+ Revision: 2002224
- add a virtual provides 'obox-conf' to allow compatibility between GTK and Qt (mga#32460)

* Wed Mar 30 2022 umeabot <umeabot> 2.0.4-10.mga9
+ Revision: 1835078
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.4-9.mga8
+ Revision: 1515655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.4-8.mga7
+ Revision: 1299823
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 2.0.4-7.mga7
+ Revision: 1228283
- Add upstream commits since release
- Rediffed mga linking patch
- Update make macros

* Wed Feb 03 2016 ns80 <ns80> 2.0.4-6.mga6
+ Revision: 933771
- rebuild for Openbox 3.6.1

* Wed Sep 23 2015 ns80 <ns80> 2.0.4-5.mga6
+ Revision: 882432
- Rebuild to fix segmentation fault

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-4.mga5
+ Revision: 738947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-3.mga5
+ Revision: 682962
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 531964
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 466330
- new version 2.0.4

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-10.mga3
+ Revision: 361096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 05 2011 fwang <fwang> 2.0.3-9.mga2
+ Revision: 176762
- fix linkage
- fix load rc.xml config file (bug#3597)

* Mon Sep 05 2011 shlomif <shlomif> 2.0.3-8.mga2
+ Revision: 138675
- Fix a crash due to missing argument to function.
+ fwang <fwang>
- more upstream patches
- tweak br
- add upstream patch to build with openbox 3.5

* Wed Jan 26 2011 ahmad <ahmad> 2.0.3-7.mga1
+ Revision: 41414
- imported package obconf


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-7mdv2011.0
+ Revision: 613115
- the mass rebuild of 2010.1 packages

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-6mdv2010.1
+ Revision: 547855
- change url and source to current location
- clean spec

* Fri May 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-5mdv2010.1
+ Revision: 544738
- fix .desktop file

* Sat Dec 12 2009 Jérôme Brenier <incubusss@mandriva.org> 2.0.3-4mdv2010.1
+ Revision: 477580
- change Url (the former one was an archive)
- $RPM_BUILD_ROOT -> %%{buildroot}

* Thu May 21 2009 Jérôme Brenier <incubusss@mandriva.org> 2.0.3-3mdv2010.0
+ Revision: 378224
- fix license (GPLv2+)

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.0.3-2mdv2009.0
+ Revision: 200704
- rebuild

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2009.0
+ Revision: 200688
- New version 2.0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 1.6-1mdv2008.0
+ Revision: 13738
- Update to 1.6.


* Wed Feb 08 2006 Lev Givon <lev@mandriva.org> 1.5-1mdk
- Package for Mandriva

